#
# spec file for package python-unidiff
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-unidiff
Version:        0.5.5
Release:        lp151.2.1
Summary:        Unified diff parsing/metadata extraction library
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/matiasb/python-unidiff
Source:         https://files.pythonhosted.org/packages/source/u/unidiff/unidiff-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Python library to parse and interact with unified diff data.

%prep
%setup -q -n unidiff-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY README.rst
%license LICENSE
%python3_only %{_bindir}/unidiff
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Ensure neutrality of descriptions.
* Tue May 29 2018 toddrme2178@gmail.com
- Update to version 0.5.5
  * Updated PatchSet constructor to accept string data.
  * Added support to parse extended patch info.
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
